Bug 1655982 - [Module Streams] - Getting a blank page with an error in console for modules streams details Page
Summary: [Module Streams] - Getting a blank page with an error in console for modules ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management
Version: 6.5.0
Hardware: All
OS: All
unspecified
low vote
Target Milestone: 6.5.0
Assignee: satellite6-bugs
QA Contact: Lai
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-04 11:22 UTC by Omkar Khatavkar
Modified: 2019-11-05 22:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:39:22 UTC
Target Upstream Version:


Attachments (Terms of Use)
Blank page (91.17 KB, image/png)
2018-12-04 11:22 UTC, Omkar Khatavkar
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:29 UTC

Description Omkar Khatavkar 2018-12-04 11:22:53 UTC
Created attachment 1511267 [details]
Blank page

Description of problem:
Getting a blank page with an error in the console for modules streams details Pag, In case of no repos are synced in Satellite. 

Version-Release number of selected component (if applicable):
Satellite 6.5 Snap 6

How reproducible:
Always

Steps to Reproduce:
1. Navigate to ModuleStreams Details Page. 
2.
3.

Actual results:
Getting a blank page with an error in the console 

Expected results:
Module Stream Details page should be seen with "No Module Streams found" 

Additional info:
react-dom.production.min.js:171 TypeError: Cannot read property 'title' of undefined
    at l (katello-71eb3aecdd54ecdc52c1.js:1)
    at react-dom.production.min.js:158
    at eo (react-dom.production.min.js:161)
    at Oo (react-dom.production.min.js:192)
    at Po (react-dom.production.min.js:193)
    at di (react-dom.production.min.js:205)
    at ui (react-dom.production.min.js:204)
    at No (react-dom.production.min.js:200)
    at Object.enqueueSetState (react-dom.production.min.js:130)
    at i.y.setState (react.production.min.js:13)
oo @ react-dom.production.min.js:171
katello-71eb3aecdd54ecdc52c1.js:1 Uncaught (in promise) TypeError: Cannot read property 'data' of undefined
    at t.getResponseErrorMsgs (katello-71eb3aecdd54ecdc52c1.js:1)
    at katello-71eb3aecdd54ecdc52c1.js:1
    at index.js:8
    at dispatch (applyMiddleware.js:35)
    at katello-71eb3aecdd54ecdc52c1.js:1

Comment 3 John Mitsch 2018-12-04 15:59:02 UTC
It looks like a change in katello was included in 3.10 that was expecting a change to be in Foreman 1.20 (probably due to the later katello branch date).

The katello change in 3.10 is:
issue: https://projects.theforeman.org/issues/24577/
commit: https://github.com/Katello/katello/commit/03a0d0ac713405a74e33463c5705ee76e4ef1f5f

The foreman change is:
issue: https://projects.theforeman.org/issues/24660/
PR: https://github.com/theforeman/foreman/pull/5968/

I do not see this foreman change in Foreman 1.20, so this results in the errors being reported above.

Is there a way we can pull in https://projects.theforeman.org/issues/24660/ to foreman 1.20? This is probably broken upstream as well, though I haven't checked yet.

Comment 4 John Mitsch 2018-12-11 20:35:35 UTC
Can you see if this was resolved in the latest snap?

Comment 5 Omkar Khatavkar 2018-12-12 14:25:28 UTC
With Latest 6.5 Snap7 this issue is no more reproducible, marking as verified.

Comment 8 errata-xmlrpc 2019-05-14 12:39:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.